Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class GenHandler

    java.lang.Object
      com.verisign.epp.framework.EPPGenHandler
          com.verisign.epp.serverstub.GenHandler

All Implemented Interfaces:
  EPPEventHandler

    public class GenHandler

extends EPPGenHandler

The `GenHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPGenHandler` class. It defines the Server's response to general EPP Commands.

See Also:
  `EPPEvent`, `EPPEventResponse`

Constructor Summary
`GenHandler()` Construct an instance of GenHandler

Method Summary
`protected EPPEventResponse` | `doHello(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Hello command is received.
`protected EPPEventResponse` | `doLogin(EPPEvent aEvent, java.lang.Object aData)` DOCUMENT ME!
`protected EPPEventResponse` | `doLogout(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Logout command is received.
`protected EPPEventResponse` | `doPoll(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Poll command is received.

Methods inherited from class com.verisign.epp.framework.EPPGenHandler
`getNamespace, handleEvent, postHandleEvent, preHandleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenHandler

    public GenHandler()

  Construct an instance of GenHandler

Method Detail

### doLogin

    protected EPPEventResponse doLogin(EPPEvent aEvent,
                                       java.lang.Object aData)

  DOCUMENT ME!

  Specified by:
    `doLogin` in class `EPPGenHandler`
  Parameters:
    `aEvent` - DOCUMENT ME!
    `aData` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### doLogout

    protected EPPEventResponse doLogout(EPPEvent aEvent,
                                        java.lang.Object aData)

  Invoked when a Logout command is received. A successful logout command ends the session

  Specified by:
    `doLogout` in class `EPPGenHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPGenHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doPoll

    protected EPPEventResponse doPoll(EPPEvent aEvent,
                                      java.lang.Object aData)

  Invoked when an EPP Poll command is received. Subclasses should define the behavior when a Poll command is received.

  Specified by:
    `doPoll` in class `EPPGenHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPGenHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doHello

    protected EPPEventResponse doHello(EPPEvent aEvent,
                                       java.lang.Object aData)

  Invoked when an EPP Hello command is received. Subclasses should define the behavior when a Hello command is received.

  Specified by:
    `doHello` in class `EPPGenHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPGenHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.